Name:			kde3-k9copy
Version:		1.2.4
%define distsuffix	plf
Release:		%mkrel 1

Summary:	K9copy is a Video DVD backup tool
License:	GPLv2+
Group:		Video
URL:		http://k9copy.sourceforge.net/
Source0:	http://downloads.sourceforge.net/k9copy/k9copy-%{version}.tar.gz

BuildRequires:	kdelibs-devel >= 3.2
BuildRequires:	libdvdread-devel
BuildRequires:	hal-devel
BuildRequires:	libdbus-qt-1-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	qt3-devel
BuildConflicts: qt4-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

#dvd9 to dvd5
Requires:	vamps
Requires:	dvdauthor
Requires:	mjpegtools
#default burning tools
Requires:	dvd+rw-tools
#optional for preview
Suggests:	mplayer
Suggests:	xine-ui
#mpeg4 encoding
Suggests:	mencoder
Suggests:	toolame
Suggests:	twolame
#optional burning with k3b
#if %mdkversion < 20091
Suggests:	k3b
#else
#Suggests:	kde3-k3b
#endif

Provides:	k9copy
Obsoletes:	k9copy < 1.2.4-1plf
Obsoletes:	%{_lib}k9copy0

%description
k9copy is using various external programs like vamps and mencoder to 
make backups of Video DVDs onto an other DVD or MPEG4 files.

This version of k9copy is for use with the KDE 3 environment.

This package is in PLF, as DVD ripping might break local laws.

%prep
%setup -q -n k9copy-%{version}

#(ltx) fix desktop file
perl -pi -e "s|.png||" src/k9copy.desktop
%if %mdkversion >= 200900
#(ltx) fix path to ffmpeg headers
perl -pi -e "s|ffmpeg/avc|libavcodec/avc|" k9author/k9avidecode.cpp
perl -pi -e "s|ffmpeg/avf|libavformat/avf|" k9author/k9avidecode.h
%endif

# fix rights on source for the debug package
find . -name "*\.[ch]*" -exec chmod 644 {} +

%build
#(ltx) otherwise build fails with --enable-final
%configure_kde3 --disable-final QTDIR=/usr/lib/qt3
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="Video" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --remove-key="MimeTypes" \
  --delete-original \
  --dir %{buildroot}%{_kde3_datadir}/applications/kde \
  %{buildroot}%{_kde3_datadir}/applications/kde/*

%find_lang k9copy

%clean
rm -rf %{buildroot}

%files -f k9copy.lang
%defattr(0644,root,root,0755)
%doc AUTHORS
%attr(0755,root,root) %{_kde3_bindir}/k9copy
%{_kde3_datadir}/applications/kde/k9copy.desktop
%{_kde3_appsdir}/k9copy
%{_kde3_appsdir}/konqueror/servicemenus/k9copy_open.desktop
%{_kde3_iconsdir}/hicolor/*/apps/k9copy.png
%{_kde3_docdir}/HTML/en/k9copy/

%post
%update_kde3_icon_cache hicolor

%postun
%clean_kde3_icon_cache hicolor

%changelog
* Thu Oct 30 2008 Guillaume Bedot <littletux@zarb.org> 1.2.4-1plf2009.0
- renamed kde3-k9copy
- summary and description fixes
- parrallel installable with kde4-k9copy 2.0.0 (install in opt/kde3)
- fix path to kde3's k3b for cooker/2009.0
- turn some requires into suggests
- fix and refix k3b suggests
- drop old menu
- use kde3 macros
- trying to comply to new mdv spec policy proposal

* Sun Feb  3 2008 Guillaume Bedot <littletux@zarb.org> 1.2.3-1plf2008.1
- 1.2.3
- Fix requires

* Fri Dec 14 2007 Guillaume Bedot <littletux@zarb.org> 1.2.1-1plf2008.1
- Release 1.2.1 (fixes annoying crash before burning...)
- buildreqs

* Thu Nov 29 2007 Guillaume Bedot <littletux@zarb.org> 1.2.0-1plf2008.1
- Release 1.2.0

* Tue Aug 14 2007 Guillaume Bedot <littletux@zarb.org> 1.1.2-1plf2008.0
- Release 1.1.2, removed wrong MimeTypes entry

* Tue May  1 2007 Guillaume Bedot <littletux@zarb.org> 1.1.1-2plf2008.0
- Fix x86_64 builds (thanks to Anssi for reporting)

* Tue Apr 10 2007 Guillaume Bedot <littletux@zarb.org> 1.1.1-1plf2007.1
- Release 1.1.1 (-3)
- dropped subpackages as the shared library is no more installed
- no more xinerama option

* Tue Mar 27 2007 Guillaume Bedot <littletux@zarb.org> 1.1.0-1plf2007.1
- Release 1.1.0
- Added new files (html doc)
- Fix desktop file and path

* Mon Jul 10 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-3plf2007.0
- Fix duplicates menu entries

* Mon Jul 10 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-2plf2007.0
- Fix Requires
- Use macros for icons

* Mon Jun 05 2006 Guillaume Bedot <littletux@zarb.org> 1.0.4-1plf2007.0
- 1.0.4-2
- fix summary and section for lib
- utf8 spec
- xdg menu
- add the doc

* Thu Apr 20 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-0.beta3.3plf
- Fix URL

* Thu Apr 20 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-0.beta3.2plf
- Fix PLF reason

* Thu Apr 20 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-0.beta3.1plf
- 1.0.4-beta3

* Thu Dec 29 2005 trem <trem@zarb.org> 1.0.2-1plf
- New Release 1.0.2
- Split in app package and lib package (thanks Plouf)
- Clean the fix for qt/kde on x86_64 

* Fri Oct 14 2005 Nicolas Lécureuil <neoclust@zarb.org> 1.0.0-1plf
- New release 1.0.0

* Sat Oct  8 2005 Stefan van der Eijk <stefan@zarb.org> 0.3b-2plf
- distsuffix & mkrel
- BuildRequires

* Sun Jun 13 2005 Nicolas Lécureuil <neoclust@zarb.org> 0.3b-1plf
- 0.3b

* Tue May 17 2005 Sebastien Savarin <plouf@mandriva.org> 0.2-1plf
- First PLF release
